import java.util.ArrayList;
import java.util.List;
import java.util.Random;

import org.jasypt.util.password.BasicPasswordEncryptor;

import util.HibernateUtil;
import util.LoremIpsumUtil;
import beans.*;
import daos.UserDAO;

/**
 * Create more sample data, letting Hibernate persist it for us.
 */
public class CreateTest {

	private static Random r;
	public static UserDAO userDAO;
	public static BasicPasswordEncryptor passEncryptor;

	public static void main(String args[]) throws Exception {

		r = new Random();
		passEncryptor = new BasicPasswordEncryptor();
		userDAO = new UserDAO();

		//try {
		//	HibernateUtil.beginTransaction();

			if(userDAO.getUserByName("tbs") != null){
				System.out.println("The users are loaded");
			}
			else  {
				loadUsers();
			}

		//	HibernateUtil.commitTransaction();

		//} catch (Exception e) {
		//	HibernateUtil.rollbackTransaction();
		//	throw e;
		//}

	}
	
	private static void loadUsers() {
		System.out.println("Making new users: ");
		
		User user = new User("tbs", passEncryptor.encryptPassword("tbs"), "sites", "24.3.194.97", "United States");
		user = populize(user);
		userDAO.makePersistent(user);
		System.out.println(user);

		user = new User("asdf", passEncryptor.encryptPassword("asdf"), "sites", "24.3.194.97", "United States");
		user = populize(user);
		userDAO.makePersistent(user);
		System.out.println(user);
		
	}
	
	private static User populize(User user) {
		user.setSites(getRandomSites(user));
		user.setNotes(getRandomNotes(user));
		return user;
	}
	
	public static List<Site> getRandomSites(User user) {
		List<Site> sites = new ArrayList<Site>();
		sites.add(new Site("digg.com", "tomisina", "xxxxxx", user));
		sites.add(new Site("facebook.com", "tomisina", "xxxxxx", user));
		sites.add(new Site("usaa.com", "tomisina", "xxxxxx", user));
		sites.add(new Site("yahoo.com", "tomisina", "xxxxxx", user));
		return sites;
	}
	

	public static List<Note> getRandomNotes(User user) {
		List<Note> notes = new ArrayList<Note>();
		for(int i=0; i<5; i++)
			notes.add(new Note(LoremIpsumUtil.getSentences(1), Integer.toString(r.nextInt(400))+"px", Integer.toString(r.nextInt(400))+"px", Integer.toString(100), Integer.toString(100), user));
		return notes;
	}

}
