package actions.manage;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import util.HibernateUtil;
import util.InputUtil;
import actions.Action;
import beans.User;
import beans.Note;
import daos.UserDAO;
import forms.manage.*;

public class NotesAction extends Action {

	private UserDAO userDAO;
	
	public NotesAction() {
		userDAO = new UserDAO();
	}

	/* (non-Javadoc)
	 * @see actions.Action#getName()
	 */
	@Override
	public String getName() {
		return "notes";
	}

	/* (non-Javadoc)
	 * @see actions.Action#perform(javax.servlet.http.HttpServletRequest)
	 */
	@Override
	public String perform(HttpServletRequest request) {
		HttpSession session = request.getSession();
	    HibernateUtil.beginTransaction();
	    
		Long userId = (Long)session.getAttribute("userId");
		User user = userDAO.findById(userId, true);
		
		ManageForm notesForm = new NotesForm(request);
		request.setAttribute("notesForm",  notesForm);
		
		if(request.getParameter("notes") == null){
			HibernateUtil.commitTransaction();
			request.setAttribute("user", user);
			return "notes.jsp";
		}	
		
		//have notesForm parse all of the page inputs
		user = notesForm.updateUser(user);
		
		if(request.getParameter("delete")!=null) {
			int id = InputUtil.makeInt(request.getParameter("delete"));
			user.getNotes().remove(id);
			userDAO.makePersistent(user);
		}
		
		if(request.getParameter("note_new") != null){
			Note note = new Note("", "282px", "183px", user);
			user.getNotes().add(note);
		}

		userDAO.makePersistent(user);
		HibernateUtil.commitTransaction();
		request.setAttribute("user", user);
		return "notes.jsp";
	}
	
}
