package actions.manage;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.hibernate.Hibernate;

import util.HibernateUtil;
import util.InputUtil;
import actions.Action;
import beans.User;
import daos.UserDAO;
import forms.manage.*;

public class ProfileAction extends Action {

	private UserDAO userDAO;
	
	public ProfileAction() {
		userDAO = new UserDAO();
	}

	/* (non-Javadoc)
	 * @see actions.Action#getName()
	 */
	@Override
	public String getName() {
		return "profile";
	}

	/* (non-Javadoc)
	 * @see actions.Action#perform(javax.servlet.http.HttpServletRequest)
	 */
	@Override
	public String perform(HttpServletRequest request) {
		HttpSession session = request.getSession();
	    HibernateUtil.beginTransaction();
	    
		Long userId = (Long)session.getAttribute("userId");
		User user = userDAO.findById(userId, true);
		
		ManageForm profileForm = new ProfileForm(request);
		request.setAttribute("profileForm",  profileForm);
		
		if(request.getParameter("profile") == null){
			request.setAttribute("user", user);
			HibernateUtil.commitTransaction();
			return "profile.jsp";
		}	

		userDAO.makePersistent(user);
		request.setAttribute("user", user);
		HibernateUtil.commitTransaction();
		return "profile.jsp";
	}
	
}
