package actions.manage;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.hibernate.Hibernate;

import util.HibernateUtil;
import util.InputUtil;
import actions.Action;
import beans.User;
import beans.Site;
import daos.UserDAO;
import forms.manage.*;

public class SitesAction extends Action {

	private UserDAO userDAO;
	
	public SitesAction() {
		userDAO = new UserDAO();
	}

	/* (non-Javadoc)
	 * @see actions.Action#getName()
	 */
	@Override
	public String getName() {
		return "sites";
	}

	/* (non-Javadoc)
	 * @see actions.Action#perform(javax.servlet.http.HttpServletRequest)
	 */
	@Override
	public String perform(HttpServletRequest request) {
		HttpSession session = request.getSession();
	    HibernateUtil.beginTransaction();
	    
		Long userId = (Long)session.getAttribute("userId");
		User user = userDAO.findById(userId, true);
				
		ManageForm sitesForm = new SitesForm(request);
		request.setAttribute("sitesForm",  sitesForm);
		
		if(request.getParameter("del")!=null) {
			int id = InputUtil.makeInt(request.getParameter("del"));
			user.getSites().remove(id);
			userDAO.makePersistent(user);
		}
		
		if(request.getParameter("sites") == null){
			request.setAttribute("user", user);
			HibernateUtil.commitTransaction();
			return "sites.jsp";
		}
		
		//have sitesForm parse all of the page inputs
		user = sitesForm.updateUser(user);

		if(request.getParameter("site_new")!=null) {
			String url = request.getParameter("site_url").trim();
			Site site = new Site(url, user);
			user.getSites().add(site);
		}

		userDAO.makePersistent(user);
		request.setAttribute("user", user);
		HibernateUtil.commitTransaction();
		return "sites.jsp";
	}
	
}
