package daos;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Projections;
import org.hibernate.criterion.Restrictions;

import beans.User;

/**
 * The Class UserDAO.
 */
public class UserDAO extends GenericDAOHibernate<User, Long> {

	/**
	 * Gets the user by name.
	 * 
	 * @param name
	 *            the name
	 * 
	 * @return the user 
	 */
	@SuppressWarnings("unchecked")
	public User getUserByName(String name) {
		Criteria crit = getSession().createCriteria(User.class).add(
				Restrictions.eq("name", name));
		return (User) crit.uniqueResult();
	}

	/**
	 * Checks if is user name available.
	 * 
	 * @param name
	 *            the name
	 * 
	 * @return true, if is user name available
	 */
	public boolean isUserNameAvailable(String name) {
		return (getUserByName(name) == null);
	}

}