package forms;

import java.util.List;
import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import util.InputUtil;

public class RegisterForm {

	private String name = "";
	private String pass = "";
	private String pass2 = "";
	private String story = "";

	public RegisterForm() {}
	
	public RegisterForm(HttpServletRequest request) {
		this.name = request.getParameter("name").trim();
		this.pass = request.getParameter("pass").trim();
		this.pass2 = request.getParameter("pass2").trim();
		this.story = request.getParameter("story").trim();
	}

	public String getName() {
		return name;
	}
	public String getPass() {
		return pass;
	}
	public String getStory() {
		return story;
	}

	public List<String> getErrors() {
		List<String> errors = new ArrayList<String>();

		if (InputUtil.containsSpaces(name)) {
			errors.add("user name cannot contain spaces");
		}

		if (name.length() < 3) {
			errors.add("user name must be at least 3 characters");
		}

		if (pass.length() < 3) {
			errors.add("passwords must be at least 3 characters");
		}

		if (!pass.equals(pass2)) {
			errors.add("passwords must match");
		}
		
		//story length too short suggest quick brown lazy dog

		return errors;
	}

}
