<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><!-- InstanceBegin template="/Templates/back.dwt.jsp" codeOutsideHTMLIsLocked="false" -->

<head>
	<!-- InstanceBeginEditable name="doctitle" -->
	<title>notes.</title>
	<!-- InstanceEndEditable -->
	
	<meta name="author" content="thomas b sullivan"/>
	<meta name="description" content="a secure place for recording your logins and other sensitive data"/>
	<meta name="keywords" content="login minder, login keeper, store passwords"/>
	
	<link rel="stylesheet" type="text/css" media="screen" href="css/base.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/layout.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/style.css"/>
	<!-- InstanceBeginEditable name="css" -->
	<link rel="stylesheet" type="text/css" href="css/notes.css"/>
	<!-- InstanceEndEditable -->
	  
	<script type="text/javascript" src="js/prototype.js"></script>
	<script type="text/javascript" src="js/scriptaculous.js?load=effects"></script>	
	<!-- InstanceBeginEditable name="js" -->
	<script type="text/javascript" src="js/scriptaculous.js?load=dragdrop"></script>
	<script type="text/javascript" src="js/superDuperScripts.js"></script>	

	<script type="text/javascript">
		function saveEverything() {
			<c:forEach var="note" items="${user.notes}" varStatus="status">
			$("note_${status.index}_w").value = $("note_${status.index}_el").style.width;
			$("note_${status.index}_h").value = $("note_${status.index}_el").style.height;
			</c:forEach>
		}
	</script>
	
	<script type="text/javascript">
		function toggleType(el) {
			var obj = $(el);
			if(obj.type == 'text')
				obj.type = 'password';
			else
				obj.type = 'text';
		}
		
		function warnDelete() {
			return confirm("Are you sure you want to delete that site?");
		}	
	</script>
	<!-- InstanceEndEditable -->
</head>

<body>

	<div id="container">
		
		<div id="top">
		
			<div id="logo">
				<a href="index.jsp"><img src="img/logo.png"/></a>
			</div>
			
			<div id="error">
				<c:if test="${not empty errors}">
					${errors[0]}
				</c:if>
 			</div>
			
			<div id="goto">
				<ul>
					<li class="edged"><a href="logout.do">logout</a></li>
					<li><a href="sites.do">manage</a></li>
				</ul>
			</div>	
			
		</div>
				
		<div id="main">
			<div id="content">
			<!-- InstanceBeginEditable name="content" -->
		
			<form action="notes.do" method="post" onsubmit="saveEverything()">

			<input type="hidden" name="notes" value="notes"/>
			
			<c:forEach var="note" items="${user.notes}" varStatus="status">
				<c:set var="position" value="top:${note.y}; left:${note.x};"/>
				<c:set var="height" value="height:${note.h};"/>
				<c:set var="width" value="width:${note.w};"/>	
				
				<div id="note_${status.index}" class="note" style="${position}">
					<input type="hidden" id="note_${status.index}_x" name="note_${status.index}_x"/>
					<input type="hidden" id="note_${status.index}_y" name="note_${status.index}_y"/>
					<input type="hidden" id="note_${status.index}_w" name="note_${status.index}_w"/>
					<input type="hidden" id="note_${status.index}_h" name="note_${status.index}_h"/>
					
					<textarea id="note_${status.index}_el" style="${height}${width}" name="note_${status.index}_body">${note.body}</textarea>
					<div class="bar" style="${width}" onclick="drag('note_${status.index}')" ondblclick="new Effect.toggle('note_${status.index}_el','blind');">
						<input type="image" src="img/x.png" name="delete" value="${status.index}" onclick="return warnDelete();"/>
					</div>
				</div>
			</c:forEach>
			
			<div id="actions">
				<input id="add" type="submit" name="note_new" value="add"/>
				<input id="submit" type="submit" name="save" value="save"/>
			</div>
				
			</form>
			
			<!-- InstanceEndEditable -->
			</div>
			
			<div id="nav">
				<ul>
					<li><a href="sites.do">sites</a></li>
					<li><a href="notes.do">notes</a></li>
					<li><a href="profile.do">profile</a></li>
				</ul>
			</div>
		</div>
	  
	</div>
	
	<div id="footer">
		<div class="lefty">
			<ul>
				<li class="edged"><a href="about.jsp">about</a></li>
				<li class="edged"><a href="faq.jsp">faq</a></li>
				<li><a href="blog.jsp">blog</a></li>
			</ul>
		</div>
		<div class="righty">
			design and implementation by
			<br/>
			<a href="http://www.andrew.cmu.edu/user/tbs">thomas b sullivan</a>
		</div>
	</div>

</body>
<!-- InstanceEnd --></html>