<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><!-- InstanceBegin template="/Templates/back.dwt.jsp" codeOutsideHTMLIsLocked="false" -->

<head>
	<!-- InstanceBeginEditable name="doctitle" -->
	<title>sites.</title>
	<!-- InstanceEndEditable -->
	
	<meta name="author" content="thomas b sullivan"/>
	<meta name="description" content="a secure place for recording your logins and other sensitive data"/>
	<meta name="keywords" content="login minder, login keeper, store passwords"/>
	
	<link rel="stylesheet" type="text/css" media="screen" href="css/base.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/layout.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/style.css"/>
	<!-- InstanceBeginEditable name="css" -->
	<link rel="stylesheet" type="text/css" href="css/sites.css"/>
	<!-- InstanceEndEditable -->
	  
	<script type="text/javascript" src="js/prototype.js"></script>
	<script type="text/javascript" src="js/scriptaculous.js?load=effects"></script>	
	<!-- InstanceBeginEditable name="js" -->
	<script type="text/javascript">
		function toggleType(el) {
			var obj = $(el);
			if(obj.type == 'text')
				obj.type = 'password';
			else
				obj.type = 'text';
		}
		
		function warnDelete(delUrl) {
			if (confirm("Are you sure you want to delete that site?")) {
				document.location = delUrl;
			}
		}	
	</script>
	<!-- InstanceEndEditable -->
</head>

<body>

	<div id="container">
		
		<div id="top">
		
			<div id="logo">
				<a href="index.jsp"><img src="img/logo.png"/></a>
			</div>
			
			<div id="error">
				<c:if test="${not empty errors}">
					${errors[0]}
				</c:if>
 			</div>
			
			<div id="goto">
				<ul>
					<li class="edged"><a href="logout.do">logout</a></li>
					<li><a href="sites.do">manage</a></li>
				</ul>
			</div>	
			
		</div>
				
		<div id="main">
			<div id="content">
			<!-- InstanceBeginEditable name="content" -->
		
			<form id="form" action="sites.do" method="post">
			<input type="hidden" name="sites" value="sites"/>
						
			<div id="list">
				<c:forEach var="site" items="${user.sites}" varStatus="status">
				<div class="row">
					<div class="site_name">${site.name}</div>
					<div class="lefty">
						<input type="text" name="site_${status.index}_login" value="${site.login}" maxlength="50"/>
						<input id="pass_${status.index}" type="password" name="site_${status.index}_pass" value="${site.pass}" maxlength="50"/>
					</div>
					<div class="righty">
						<input type="button" name="show" value="show" onclick="toggleType(pass_${status.index});" />
						<input type="button" name="delete" value="delete" onclick="warnDelete('sites.do?del=${status.index}');"/>
					</div>
				</div>
				</c:forEach>
			</div><!-- /list -->
			
			<div id="actions">
				<input id="url" type="text" name="site_url" maxlength="50"/>
				<input id="add" type="submit" name="site_new" value="add"/>
				<input id="submit" type="submit" name="save" value="save"/>
			</div>
			
			</form>

			<!-- InstanceEndEditable -->
			</div>
			
			<div id="nav">
				<ul>
					<li><a href="sites.do">sites</a></li>
					<li><a href="notes.do">notes</a></li>
					<li><a href="profile.do">profile</a></li>
				</ul>
			</div>
		</div>
	  
	</div>
	
	<div id="footer">
		<div class="lefty">
			<ul>
				<li class="edged"><a href="about.jsp">about</a></li>
				<li class="edged"><a href="faq.jsp">faq</a></li>
				<li><a href="blog.jsp">blog</a></li>
			</ul>
		</div>
		<div class="righty">
			design and implementation by
			<br/>
			<a href="http://www.andrew.cmu.edu/user/tbs">thomas b sullivan</a>
		</div>
	</div>

</body>
<!-- InstanceEnd --></html>